Getting Started with the Kendo UI for Vue PDF Viewer

Updated on Jul 31, 2026

This guide provides essential information about using the Kendo UI for Vue PDF Viewer package. You will learn how to install the PDF Viewer package, add a Vue PDF Viewer component to your project, style the component, and activate your license.

ninja-iconThe PDF Viewer is part of Kendo UI for Vue, a professional grade UI library with 110+ components for building modern and feature-rich applications. To try it out sign up for a free 30-day trial.Start Free Trial

After completing this guide, you will be able to reproduce the following example.

Change Theme
Theme
Loading ...

Before You Begin

sh
npm create vite@latest my-app -- --template vue-ts

This guide requires that you have basic knowledge of Vue and TypeScript, and that you have already created a blank Vue project.

Install the Component

sh
npm i @progress/kendo-vue-pdf-viewer

Importing the Component

After installing the package, import the PDF Viewer component in your Vue App.

In the component file of your Vue project, import the PDFViewer component from the PDF Viewer package.

js
import { PDFViewer } from '@progress/kendo-vue-pdf-viewer';

Using the Component

  1. After installing the PDF Viewer package and importing the component, add the PDFViewer tag to the template of your Vue component.

  2. Set the url prop to a local PDF file in order to display initial PDF content in the viewer.

    html
    <template>
      <PDFViewer :url="'sample.pdf'" />
    </template>
    
    <script setup>
    import { PDFViewer } from '@progress/kendo-vue-pdf-viewer';
    </script>
  3. To style the PDF Viewer, install and import the Default theme, which is one of the three beautiful themes for Kendo UI for Vue.

    3.1. Install the Default theme package.

    sh
    npm i @progress/kendo-theme-default

    3.2. Import the CSS file from the package in your main entry file. Add this import before your existing styles.

    js
    import '@progress/kendo-theme-default/dist/all.css';
  4. Build and run the application by typing the following command in the root folder of your project:

    sh
    npm run dev
  5. Navigate to http://localhost:5173 to see the Kendo UI for Vue PDF Viewer component on the page.

Activating Your License Key

Using the Kendo UI for Vue PDF Viewer requires a license key to be installed in your project.

Follow the instructions on the Kendo UI for Vue My License page to download and install your license key file. You can skip this step if your application already contains a Kendo UI for Vue license file.

Getting Started with the Kendo UI for Angular PDFViewer

This guide provides the information you need to start using the Kendo UI for Angular PDFViewer—it includes instructions about the recommended installation approach, the code for running the project, and links to additional resources.

As of version 17.0.0, Angular makes standalone component enabled by default. If you use NgModules, refer to these articles:

The standalone components in Angular streamline development by removing the need for NgModules, reducing complexity, and enhancing component reuse and modularity. This approach simplifies dependency management, making applications more maintainable and scalable.

ninja-iconThe Installation is part of Kendo UI for Angular, a professional grade UI library with 110+ components for building modern and feature-rich applications. To try it out sign up for a free 30-day trial.Start Free Trial

After the completion of this guide, you will be able to achieve an end result as demonstrated in the following example.

Change Theme
Theme
Loading ...

Setting Up Your Angular Project

Before you start with the installation of any Kendo UI for Angular control, ensure that you have a running Angular project. The prerequisites to accomplish the installation of the components are always the same regardless of the Kendo UI for Angular package you want to use, and are fully described in the section on setting up your Angular project.

Installing the Component

The following command demonstrates an efficient, automated method for adding packages using the Angular CLI through the ng-add command. This approach saves time and effort by executing a series of commands in a single step, which otherwise need to be run individually. Refer to the Manual Setup for more details.

To add the Kendo UI for Angular PDFViewer package:

  1. Run the following command:

    sh
    ng add @progress/kendo-angular-pdfviewer

    As a result, the ng-add command will perform the following actions:

    • Add the @progress/kendo-angular-pdfviewer package as a dependency to the package.json file.
    • Add all required peer dependencies to the package.json file.
    • Register the Kendo UI Default theme in the angular.json file.
    • Trigger npm install to install the theme and all peer packages that are added.
  2. Import the KENDO_PDFVIEWER utility array in your standalone component to enable the entire feature set of the PDFViewer:

    The utility array is available starting from v16.6.0. If you use an older version of the package, please follow the approach from the Using Kendo Angular Components with NgModules article.

    ts
    import { Component } from '@angular/core';
    import { KENDO_PDFVIEWER } from '@progress/kendo-angular-pdfviewer';
    
    @Component({
        standalone: true,
        selector: 'my-app',
        imports: [KENDO_PDFVIEWER]
    })

Using the Component

  1. After successfully installing the PDFViewer package and importing its module, add the following code in the app.component.html file:

    html
    <kendo-pdfviewer [url]="url"> </kendo-pdfviewer>
  2. Bind the url property of the PDFViewer to the respective URL string, e.g. https://www.telerik.com/kendo-angular-ui-develop/components/demos/sample.pdf.

  3. Build and serve the application by running the following command in the root folder.

    sh
    ng serve
  4. Point your browser to http://localhost:4200 to see the Kendo UI for Angular PDFViewer component on the page.

Activating Your License Key

As of December 2020, using any of the UI components from the Kendo UI for Angular library requires either a commercial license key or an active trial license key. If your application does not contain a Kendo UI license file, activate your license key.

Next Steps

Learning Resources